Bug 25861 - Reboot при создании swap-раздела
: Reboot при создании swap-раздела
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-vm)
: unstable
: all Linux
: P3 major
Assigned To:
:
:
:
:
: 23155
  Show dependency tree
 
Reported: 2011-07-05 21:38 by
Modified: 2011-07-12 21:20 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-07-05 21:38:57
Коллеги, я вчера собрал образ lxdesktop на свежем профиле от Бояршинова с
минимальными своими доработками.
При удалении таблицы разделов и попытке создания swap-раздела, происходит
ребут. Повторяемость 100%-ая.
Это у меня руки кривые или бага такая попалась?
------- Comment #1 From 2011-07-07 00:23:13 -------
На Сизиф.
------- Comment #2 From 2011-07-07 14:36:51 -------
Вот еще одно подтверждение, которое позволяет предположить временной интервал
появления ошибки:
http://lists.altlinux.org/pipermail/antique/2011-July/001572.html
------- Comment #3 From 2011-07-07 17:25:50 -------
fixed in guile-evms-0.4-alt11
see also #25774
------- Comment #4 From 2011-07-07 17:32:36 -------
Спасибо!
------- Comment #5 From 2011-07-11 11:07:10 -------
(В ответ на комментарий №3)
> fixed in guile-evms-0.4-alt11
> see also #25774

По состоянию на 10.07.11 (guile-evms-0.4-alt11)
никаких изменений нет. Сразу перезагрузка.
Сборка своя 10.07.11 (минималка).
------- Comment #6 From 2011-07-11 11:52:42 -------
(В ответ на комментарий №5)
> (В ответ на комментарий №3)
> > fixed in guile-evms-0.4-alt11
> > see also #25774
> 
> По состоянию на 10.07.11 (guile-evms-0.4-alt11)
> никаких изменений нет. Сразу перезагрузка.
> Сборка своя 10.07.11 (минималка).

Не подтверждаю.
На ftp://devel.altlinux.org/sem/test.iso от вечера пятницы (создан в офисе,
потому изменения были доступны) все в порядке. Прошу проверить на этом образе.
------- Comment #7 From 2011-07-11 13:50:49 -------
(В ответ на комментарий №6)
> Не подтверждаю.
> На ftp://devel.altlinux.org/sem/test.iso от вечера пятницы (создан в офисе,
> потому изменения были доступны) все в порядке. Прошу проверить на этом образе.

Скачал, вечером сообщу результат.
Моя минималка делалась на бранче р6, может поэтому?
Хотя версия guile в бранче та же самая.
------- Comment #8 From 2011-07-11 13:51:52 -------
(В ответ на комментарий №7)
> (В ответ на комментарий №6)
> > Не подтверждаю.
> > На ftp://devel.altlinux.org/sem/test.iso от вечера пятницы (создан в офисе,
> > потому изменения были доступны) все в порядке. Прошу проверить на этом образе.
> 
> Скачал, вечером сообщу результат.
> Моя минималка делалась на бранче р6, может поэтому?
> Хотя версия guile в бранче та же самая.

Все наши сборки сейчас на p6. И эта тестовая -- тоже.
------- Comment #9 From 2011-07-11 23:11:59 -------
(In reply to comment #6)
> 
> Не подтверждаю.
>
В данном случае сравнение похоже не совсем корректно. 
В test инсталляция идёт из liveCD, а уменя обычный инсталлер, да и
брандинг от кентавра. Наверное потому и без изменений, как было
так и осталось.
> 
> Прошу проверить на этом образе.
>
Да, здесь всё работает нормально. Класс! :)
Надеюсь что и обычный инсталлер когда нибудь заработает
без глюков.
------- Comment #10 From 2011-07-11 23:27:47 -------
(В ответ на комментарий №9)
> (In reply to comment #6)
> > 
> > Не подтверждаю.
> >
> В данном случае сравнение похоже не совсем корректно. 
> В test инсталляция идёт из liveCD, а уменя обычный инсталлер, да и
> брандинг от кентавра. Наверное потому и без изменений, как было
> так и осталось.

Нет, бага была и в нем до исправления.

> > 
> > Прошу проверить на этом образе.
> >
> Да, здесь всё работает нормально. Класс! :)
> Надеюсь что и обычный инсталлер когда нибудь заработает
> без глюков.

Нет никакой разницы, модуль один и тот же.
На днях zerg@ соберет kdesktop.
------- Comment #11 From 2011-07-12 00:19:40 -------
(В ответ на комментарий №10)
> 
> Нет никакой разницы, модуль один и тот же.
> На днях zerg@ соберет kdesktop.
>
Тогда непонятно. Брандинги все датированы 1 июля,
что centaurus, что simply, бранч один и тот же,
версии те же. Но в минималке уходит в перезагрузку, 
а здесь всё ОК, да ещё в минималке не понимает, откуда
стартовать (помогает F12), а здесь без проблем.
Погоняю пока симпли, а там посмотрю ещё, может что найду.

Regards.

ЗЫ. Давно хотелось видеть в альте что-то похожее на mandriva one,
и вот уже 2-й образ смотрю (ещё был Гном3 - работает но не нравится).
Thanks релиз менеджерам. :)
------- Comment #12 From 2011-07-12 01:48:06 -------
(В ответ на комментарий №11)
> Thanks релиз менеджерам. :)

To aen@. Извиняюсь за оффтоп, но уж коли тут про test заговорили,
подскажите релиз-менеджеру симпли, чтобы добавил в профиль пакеты:
libnss-fallback
libnss-mdns
А то без них (после изменения имени хоста в асс и отказа от DHCP) 
при старте xfce началась ругань, дескать не могу определить адрес
"нового хоста" с бесполезными рекомендациями куда-то что-то добавить,
работе это не мешает, но раздражает (старая проблема, ещё на форуме 
писал об этом когда-то). Доустановка помогла сразу.
------- Comment #13 From 2011-07-12 01:59:27 -------
(В ответ на комментарий №12)
> (В ответ на комментарий №11)
> > Thanks релиз менеджерам. :)
> 
> To aen@. Извиняюсь за оффтоп, но уж коли тут про test заговорили,
> подскажите релиз-менеджеру симпли, чтобы добавил в профиль пакеты:
> libnss-fallback
> libnss-mdns
> А то без них (после изменения имени хоста в асс и отказа от DHCP) 
> при старте xfce началась ругань, дескать не могу определить адрес
> "нового хоста" с бесполезными рекомендациями куда-то что-то добавить,
> работе это не мешает, но раздражает (старая проблема, ещё на форуме 
> писал об этом когда-то). Доустановка помогла сразу.

Спасибо, передам. Но лучше все же отдельную багу вешать
------- Comment #14 From 2011-07-12 21:20:15 -------
(В ответ на комментарий №11)
> Погоняю пока симпли, а там посмотрю ещё, может что найду.
> 
Вобщем fixed.
Почистил зеркало (удлалил неск. десятков пакетов,
хоть как-то связанных с темой), сделал повторный rsync
на р6 и новую минималку.
Всё работает. Больше багов пока не вижу.
Thanks. :)